#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(t3_l2t_send_slow, 0xed511154, "");
SYMBOL_CRC(t3_l2t_send_event, 0xea43688c, "");
SYMBOL_CRC(t3_l2e_free, 0xcff2f8b9, "");
SYMBOL_CRC(t3_l2t_get, 0x08827d78, "");
SYMBOL_CRC(cxgb3_register_client, 0x55cb2491, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x81506ec2, "");
SYMBOL_CRC(cxgb3_free_atid, 0xcb8e2c2a, "");
SYMBOL_CRC(cxgb3_free_stid, 0xe0e23172, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x849164f3, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0xf97f6b29, "");
SYMBOL_CRC(cxgb3_remove_tid, 0xb481bfee, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x0eea096e, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0x2fa64da0, "");
SYMBOL_CRC(dev2t3cdev, 0x89003bfe, "");
SYMBOL_CRC(t3_register_cpl_handler, 0xffcc7f97, "");
SYMBOL_CRC(cxgb3_ofld_send, 0xb13e110b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2c69e63c, "alloc_etherdev_mqs" },
	{ 0xc08dadd4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7f9a983b, "pcie_capability_read_word" },
	{ 0x9cc37d4e, "napi_gro_frags" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9b1adcc8, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x320c2fb3, "skb_copy_bits" },
	{ 0x1dcdc65, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdb8b3690, "pci_enable_device" },
	{ 0x2c5010a, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0xd896d87c, "netdev_update_features" },
	{ 0x8a754a6c, "consume_skb" },
	{ 0xfe27fba4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7241ed6a, "unregister_netdev" },
	{ 0xf9642f8, "napi_get_frags" },
	{ 0x69f4a9bf, "dma_unmap_page_attrs" },
	{ 0xb65284dc, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xf2fd4532, "__pci_register_driver" },
	{ 0xda839b52, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xeb049204, "pci_disable_msi" },
	{ 0x73594e89, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0xe66082b, "__put_devmap_managed_page_refs" },
	{ 0x2e7fbfd1, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x32066026, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x84601143, "dev_driver_string" },
	{ 0xd6e65eee, "dev_addr_mod" },
	{ 0x727d2d84, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd82db8c7, "dma_map_page_attrs" },
	{ 0x72d9f10, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x110e22ba, "__napi_schedule" },
	{ 0x65fd0831, "pci_enable_msix_range" },
	{ 0xbda4d90, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0x4d243bc, "__alloc_skb" },
	{ 0x56a3836, "__free_pages" },
	{ 0x61a93abb, "_dev_info" },
	{ 0xdf8d6b9e, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5397ab5b, "pci_find_capability" },
	{ 0xc2188594, "_dev_alert" },
	{ 0xe45f2729, "pci_enable_msi" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0xb5bac139, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb92910a3, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x7d4b9102, "netif_set_real_num_rx_queues" },
	{ 0xba2ad0e2, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x88fcec01, "kfree_skb_reason" },
	{ 0x50888cf1, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3d344615, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x74646e62, "pci_read_config_word" },
	{ 0x47dd427a, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9706adfb, "netif_receive_skb" },
	{ 0x94781de2, "register_netdev" },
	{ 0x20ff1591, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x521a6bfd, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x217e64cc, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc9dcae78, "netif_tx_stop_all_queues" },
	{ 0xe01a3964, "pci_restore_state" },
	{ 0xb2c0e27f, "netif_tx_wake_queue" },
	{ 0x63365435, "dma_sync_single_for_cpu" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0x1a07eb46, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa9bb375f, "netif_rx" },
	{ 0x8e1dd96, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46fc89d4, "dma_set_coherent_mask" },
	{ 0x8ffb153a, "pv_ops" },
	{ 0x5738f80f, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb45feb04, "neigh_destroy" },
	{ 0xa5eea68, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53481f06, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcbe6637e, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x345c8396, "netdev_master_upper_dev_get_rcu" },
	{ 0x7c6f5a44, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb88dc399, "netif_carrier_off" },
	{ 0xd1a7b91, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9093083b, "netif_carrier_on" },
	{ 0x5f3568d5, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x56d815cd, "pci_disable_device" },
	{ 0x572abcca, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf2f485dd, "vlan_dev_vlan_id" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc8f6f883, "kmalloc_trace" },
	{ 0x8740b04, "napi_schedule_prep" },
	{ 0x5a0d8738, "napi_disable" },
	{ 0x43866d04, "dev_kfree_skb_any_reason" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe076cf53, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf2828ff2, "kmalloc_caches" },
	{ 0xddf046dd, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "06A6A331CE8E30D41ED2797");

MODULE_INFO(suserelease, "SLE15-SP6");
