#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x81daa900, "devm_request_threaded_irq" },
	{ 0xc01056e6, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b419ece, "snd_ac97_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc2f9f7c6, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c38ee64, "snd_card_register" },
	{ 0xb65284dc, "request_firmware" },
	{ 0xf2fd4532, "__pci_register_driver" },
	{ 0x3757d771, "devm_input_allocate_device" },
	{ 0x5fbf5b22, "param_array_ops" },
	{ 0x73594e89, "pci_request_regions" },
	{ 0xec91f396, "snd_card_free_on_error" },
	{ 0x73a7e310, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0x7c8b3aed, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x32066026, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd5fa8b76, "pci_read_config_dword" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xecdecc19, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x61a93abb, "_dev_info" },
	{ 0xdb0d8087, "snd_ac97_suspend" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0x74646e62, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb4f3bbaf, "snd_pcm_set_ops" },
	{ 0xa17bd97, "snd_pcm_set_managed_buffer_all" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0x1a07eb46, "pci_set_master" },
	{ 0x224c2873, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5ea18102, "input_event" },
	{ 0x46fc89d4, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0xdd94d08, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6528b5fc, "snd_pci_quirk_lookup" },
	{ 0x572abcca, "dma_set_mask" },
	{ 0xcd95d7ec, "snd_pcm_period_elapsed" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x2078672d, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x759ca44c, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb2930762, "snd_ac97_write" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcd05526, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "snd-ac97-codec,snd-pcm,snd");

MODULE_ALIAS("pci:v0000125Dd00001988sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v0000125Dd00001989sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v0000125Dd00001990sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v0000125Dd00001992sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v0000125Dd00001998sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v0000125Dd00001999sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v0000125Dd0000199Asv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v0000125Dd0000199Bsv*sd*bc04sc01i*");

MODULE_INFO(srcversion, "A28D804D47ECE1F9102308C");

MODULE_INFO(suserelease, "SLE15-SP6");
